[Unit]
Description=CoreMedia {{ coremedia_application_name }}-{{cae_preview_id}}
After=syslog.target network.target

[Service]
Type=forking
PIDFile={{ cae_preview.user_home }}/apache-tomcat.pid

Environment=CATALINA_PID={{ cae_preview.user_home }}/apache-tomcat.pid
Environment=CATALINA_HOME={{ cae_preview.user_home }}/current

ExecStart={{ cae_preview.user_home }}/current/bin/startup.sh -Dprocessname={{ coremedia_application_name }}-{{cae_preview_id}}
ExecStop={{ cae_preview.user_home }}/current/bin/shutdown.sh 30

User={{ cae_preview_user }}
Group={{ cae_preview_group }}

[Install]
WantedBy=multi-user.target
